INCLUDE(FindPkgConfig)
PKG_CHECK_MODULES(PC_SATLAB satlab)

FIND_PATH(
    SATLAB_INCLUDE_DIRS
    NAMES satlab/api.h
    HINTS $ENV{SATLAB_DIR}/include
        ${PC_SATLAB_INCLUDEDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/include
          /usr/local/include
          /usr/include
)

FIND_LIBRARY(
    SATLAB_LIBRARIES
    NAMES gnuradio-satlab
    HINTS $ENV{SATLAB_DIR}/lib
        ${PC_SATLAB_LIBDIR}
    PATHS ${CMAKE_INSTALL_PREFIX}/lib
          ${CMAKE_INSTALL_PREFIX}/lib64
          /usr/local/lib
          /usr/local/lib64
          /usr/lib
          /usr/lib64
          )

include("${CMAKE_CURRENT_LIST_DIR}/satlabTarget.cmake")

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(SATLAB DEFAULT_MSG SATLAB_LIBRARIES SATLAB_INCLUDE_DIRS)
MARK_AS_ADVANCED(SATLAB_LIBRARIES SATLAB_INCLUDE_DIRS)
