/* -*- c++ -*- */
/* 
 * Copyright (c) 2023 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */


#ifndef INCLUDED_SATLAB_MSG_GATE_H
#define INCLUDED_SATLAB_MSG_GATE_H

#include <gnuradio/satlab/api.h>
#include <gnuradio/block.h>

namespace gr {
    namespace satlab {

        class SATLAB_API msg_gate : virtual public gr::block
        {
            public:
                typedef std::shared_ptr<msg_gate> sptr;

                static sptr make();

                virtual void set_enabled(bool enabled) = 0;
        };

    } /* namespace satlab */
} /* namespace gr */

#endif /* INCLUDED_SATLAB_MSG_GATE_H */
