/* 
 * Copyright (c) 2022 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */


#ifndef INCLUDED_SATLAB_SNR_EST_H
#define INCLUDED_SATLAB_SNR_EST_H

#include <gnuradio/satlab/api.h>
#include <gnuradio/digital/constellation.h>
#include <gnuradio/sync_decimator.h>

namespace gr {
    namespace satlab {

        class SATLAB_API snr_est : virtual public gr::sync_decimator
        {
            public:
                typedef std::shared_ptr<snr_est> sptr;

                static sptr make(digital::constellation_sptr constellation, int navg);

                virtual double level() { return 0; };
        };

    } /* namespace satlab */
} /* namespace gr */

#endif /* INCLUDED_SATLAB_SNR_EST_H */
