/* -*- c++ -*- */
/* 
 * Copyright (c) 2021 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_SATLAB_IDLE_FRAME_GEN_IMPL_H
#define INCLUDED_SATLAB_IDLE_FRAME_GEN_IMPL_H

#include <gnuradio/satlab/idle_frame_gen.h>

namespace gr {
    namespace satlab {

        class idle_frame_gen_impl : public idle_frame_gen
        {
            private:
                unsigned int d_in_flight;
                unsigned int d_max_in_flight;
                unsigned int d_size;
                unsigned int d_count;
                unsigned int d_count_remain;
                void handle_frame(pmt::pmt_t pdu);
                void handle_trigger(pmt::pmt_t pdu);

            public:
                idle_frame_gen_impl(unsigned int size, unsigned int count, unsigned int max_in_flight);
                void set_size(unsigned int bytes);
        };

    } /* namespace satlab */
} /* namespace gr */

#endif /* INCLUDED_SATLAB_IDLE_FRAME_GEN_IMPL_H */
