/* 
 * Copyright (c) 2022 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_SATLAB_SNR_EST_IMPL_H
#define INCLUDED_SATLAB_SNR_EST_IMPL_H

#include <gnuradio/satlab/api.h>
#include <gnuradio/satlab/snr_est.h>

namespace gr {
    namespace satlab {

        class SATLAB_API snr_est_impl : public snr_est
        {
            private:
                digital::constellation_sptr d_constellation;
                double d_constl_pwr;
                double d_level;

            public:
                snr_est_impl(digital::constellation_sptr constellation, int navg);

                int work(int noutput_items,
                         gr_vector_const_void_star& input_items,
                         gr_vector_void_star& output_items) override;

                double level() override;
        };

    } /* namespace satlab */
} /* namespace gr */

#endif /* INCLUDED_SATLAB_SNR_EST_IMPL_H */
