/* 
 * Copyright (c) 2021 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_SATLAB_SRS3_DECODE_IMPL_H
#define INCLUDED_SATLAB_SRS3_DECODE_IMPL_H

#include <gnuradio/satlab/srs3_decode.h>

namespace gr {
  namespace satlab {

    class srs3_decode_impl : public srs3_decode
    {
     private:
      unsigned int d_size;
      bool d_crc;
      bool d_cc;
      bool d_rand;
      bool d_rs;
      void *vp;
      void decode(pmt::pmt_t pdu);

     public:
      srs3_decode_impl(unsigned int size, bool crc, bool cc, bool rand, bool rs);
      ~srs3_decode_impl();

      void set_size(unsigned int bytes);
      void set_crc(bool crc);
      void set_cc(bool cc);
      void set_rand(bool rand);
      void set_rs(bool rs);
    };

  } // namespace satlab
} // namespace gr

#endif /* INCLUDED_SATLAB_SRS3_DECODE_IMPL_H */

