/* -*- c++ -*- */
/* 
 * Copyright (c) 2021 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_SATLAB_SRS3_ENCRYPT_IMPL_H
#define INCLUDED_SATLAB_SRS3_ENCRYPT_IMPL_H

#include <gnuradio/satlab/srs3_encrypt.h>

namespace gr {
  namespace satlab {

    class srs3_encrypt_impl : public srs3_encrypt
    {
     private:
      int aes256gcm_encrypt(const uint8_t *key, const uint8_t *nonce, const uint8_t *aad, size_t aad_length, const uint8_t *in, uint8_t *out, size_t length, uint8_t *tag);
      void encrypt(pmt::pmt_t pdu);

      uint8_t d_key[32];
      bool d_encrypt;
      bool d_auth;

     public:
      srs3_encrypt_impl(const char *key, bool encrypt, bool auth);
      ~srs3_encrypt_impl();

      void set_key(const char *key);
      void set_encrypt(bool encrypt);
      void set_auth(bool auth);
    };

  } // namespace satlab
} // namespace gr

#endif /* INCLUDED_SATLAB_SRS3_ENCRYPT_IMPL_H */

