/* -*- c++ -*- */
/* 
 * Copyright (c) 2021 Satlab A/S <satlab@satlab.com>
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_SATLAB_SRS3_ENFRAME_IMPL_H
#define INCLUDED_SATLAB_SRS3_ENFRAME_IMPL_H

#include <gnuradio/satlab/srs3_enframe.h>

extern "C" {
  #include "spaceframe.h"
}

namespace gr {
  namespace satlab {

    class srs3_enframe_impl : public srs3_enframe
    {
     private:
      unsigned int d_size;
      uint16_t d_id;
      unsigned int d_frames;
      void enframe(pmt::pmt_t pdu, enum spaceframe_type type);
      void enframe_csp(pmt::pmt_t pdu);
      void enframe_ip(pmt::pmt_t pdu);

     public:
      srs3_enframe_impl(unsigned int size, uint16_t id);
      ~srs3_enframe_impl();

      void set_size(unsigned int bytes);
      void set_id(uint16_t id);
      unsigned int get_frames(void);
    };

  } // namespace satlab
} // namespace gr

#endif /* INCLUDED_SATLAB_SRS3_ENFRAME_IMPL_H */

