/* -*- c++ -*- */
/* 
 * Copyright 2021 Satlab A/S.
 * 
 * This is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 * 
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Street,
 * Boston, MA 02110-1301, USA.
 */

#ifndef INCLUDED_SATLAB_WEBSOCKET_SINK_IMPL_H
#define INCLUDED_SATLAB_WEBSOCKET_SINK_IMPL_H

#include <gnuradio/satlab/websocket_sink.h>
#include "broadcast_server.h"

namespace gr {
  namespace satlab {

    class websocket_sink_impl : public websocket_sink
    {
     private:
       broadcast_server d_ws_server;

     public:
      websocket_sink_impl(size_t itemsize, unsigned short port);
      ~websocket_sink_impl();

      void set_greeting(std::string msg);

      // Where all the action really happens
      int work(int noutput_items,
         gr_vector_const_void_star &input_items,
         gr_vector_void_star &output_items);

    };

  } // namespace satlab
} // namespace gr

#endif /* INCLUDED_SATLAB_WEBSOCKET_SINK_IMPL_H */
