/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/ber_est.h>
// pydoc.h is automatically generated in the build directory
#include <ber_est_pydoc.h>

void bind_ber_est(py::module& m)
{
    using ber_est = ::gr::satlab::ber_est;

    py::class_<ber_est,
               gr::sync_decimator,
               gr::sync_block,
               gr::block,
               gr::basic_block,
               std::shared_ptr<ber_est>>(m, "ber_est", D(ber_est))

        .def(py::init(&ber_est::make),
             py::arg("navg"),
             D(ber_est, make)
        )

        .def("level",
            &ber_est::level,
            D(ber_est, level)
        );
}
