/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/correlate_access_code_tag_fixed.h>
// pydoc.h is automatically generated in the build directory
#include <correlate_access_code_tag_fixed_pydoc.h>

void bind_correlate_access_code_tag_fixed(py::module& m)
{
    using correlate_access_code_tag_fixed = ::gr::satlab::correlate_access_code_tag_fixed;

    py::class_<correlate_access_code_tag_fixed,
               gr::block,
               gr::basic_block,
               std::shared_ptr<correlate_access_code_tag_fixed>>(m, "correlate_access_code_tag_fixed", D(correlate_access_code_tag_fixed))

        .def(py::init(&correlate_access_code_tag_fixed::make),
            py::arg("access_code"),
            py::arg("threshold"),
            py::arg("tag_name"),
            py::arg("pkt_len"),
            D(correlate_access_code_tag_fixed, make)
        )

        .def("set_access_code",
            &correlate_access_code_tag_fixed::set_access_code,
            py::arg("access_code"),
            D(correlate_access_code_tag_fixed, set_access_code)
        )

        .def("set_packet_len",
            &correlate_access_code_tag_fixed::set_packet_len,
            py::arg("pkt_len"),
            D(correlate_access_code_tag_fixed, set_packet_len)
        )

        .def("set_threshold",
            &correlate_access_code_tag_fixed::set_threshold,
            py::arg("threshold"),
            D(correlate_access_code_tag_fixed, set_threshold)
        );
}
