/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/idle_frame_gen.h>
// pydoc.h is automatically generated in the build directory
#include <idle_frame_gen_pydoc.h>

void bind_idle_frame_gen(py::module& m)
{
    using idle_frame_gen = ::gr::satlab::idle_frame_gen;

    py::class_<idle_frame_gen,
               gr::block,
               gr::basic_block,
               std::shared_ptr<idle_frame_gen>>(m, "idle_frame_gen", D(idle_frame_gen))

        .def(py::init(&idle_frame_gen::make),
            py::arg("size"),
            py::arg("count"),
            py::arg("max_in_flight"),
            D(idle_frame_gen, make)
        )

        .def("set_size",
            &idle_frame_gen::set_size,
            py::arg("bytes"),
            D(idle_frame_gen, set_size)
        );
}
