/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/msg_gate.h>
// pydoc.h is automatically generated in the build directory
#include <msg_gate_pydoc.h>

void bind_msg_gate(py::module& m)
{
    using msg_gate = ::gr::satlab::msg_gate;

    py::class_<msg_gate,
               gr::block,
               gr::basic_block,
               std::shared_ptr<msg_gate>>(m, "msg_gate", D(msg_gate))

        .def(py::init(&msg_gate::make),
            D(msg_gate, make)
        )

        .def("set_enabled",
            &msg_gate::set_enabled,
            py::arg("enabled"),
            D(msg_gate, set_enabled)
        );
}
