/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/node_sync.h>
// pydoc.h is automatically generated in the build directory
#include <node_sync_pydoc.h>

void bind_node_sync(py::module& m)
{
    using node_sync = ::gr::satlab::node_sync;

    py::class_<node_sync,
               gr::block,
               gr::basic_block,
               std::shared_ptr<node_sync>>(m, "node_sync", D(node_sync))

        .def(py::init(&node_sync::make),
            py::arg("timeout_samples"),
            D(node_sync, make)
        )

        .def("set_timeout",
            &node_sync::set_timeout,
            py::arg("samples"),
            D(node_sync, set_timeout)
        );
}
