/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/snr_est.h>
// pydoc.h is automatically generated in the build directory
#include <snr_est_pydoc.h>

void bind_snr_est(py::module& m)
{
    using snr_est = ::gr::satlab::snr_est;

    py::class_<snr_est,
               gr::sync_decimator,
               gr::sync_block,
               gr::block,
               gr::basic_block,
               std::shared_ptr<snr_est>>(m, "snr_est", D(snr_est))

        .def(py::init(&snr_est::make),
             py::arg("constellation"),
             py::arg("navg"),
             D(snr_est, make)
        )

        .def("level",
            &snr_est::level,
            D(snr_est, level)
        );
}
