/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/srs3_deframe.h>
// pydoc.h is automatically generated in the build directory
#include <srs3_deframe_pydoc.h>

void bind_srs3_deframe(py::module& m)
{
    using srs3_deframe = ::gr::satlab::srs3_deframe;

    py::class_<srs3_deframe,
               gr::block,
               gr::basic_block,
               std::shared_ptr<srs3_deframe>>(m, "srs3_deframe", D(srs3_deframe))

        .def(py::init(&srs3_deframe::make),
            py::arg("size"),
            py::arg("id"),
            D(srs3_deframe, make)
        )

        .def("set_size",
            &srs3_deframe::set_size,
            py::arg("bytes"),
            D(srs3_deframe, set_size)
        )

        .def("set_id",
            &srs3_deframe::set_id,
            py::arg("id"),
            D(srs3_deframe, set_id)
        )

        .def("get_frames",
            &srs3_deframe::get_frames,
            D(srs3_deframe, get_frames)
        );
}
