/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/srs3_enframe.h>
// pydoc.h is automatically generated in the build directory
#include <srs3_enframe_pydoc.h>

void bind_srs3_enframe(py::module& m)
{
    using srs3_enframe = ::gr::satlab::srs3_enframe;

    py::class_<srs3_enframe,
               gr::block,
               gr::basic_block,
               std::shared_ptr<srs3_enframe>>(m, "srs3_enframe", D(srs3_enframe))

        .def(py::init(&srs3_enframe::make),
            py::arg("size"),
            py::arg("id"),
            D(srs3_enframe, make)
        )

        .def("set_size",
            &srs3_enframe::set_size,
            py::arg("bytes"),
            D(srs3_enframe, set_size)
        )

        .def("set_id",
            &srs3_enframe::set_id,
            py::arg("id"),
            D(srs3_enframe, set_id)
        )

        .def("get_frames",
            &srs3_enframe::get_frames,
            D(srs3_enframe, get_frames)
        );
}
