/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/satlab/tag_to_trigger.h>
// pydoc.h is automatically generated in the build directory
#include <tag_to_trigger_pydoc.h>

void bind_tag_to_trigger(py::module& m)
{

    using tag_to_trigger    = ::gr::satlab::tag_to_trigger;


    py::class_<tag_to_trigger, gr::sync_block, gr::block, gr::basic_block,
        std::shared_ptr<tag_to_trigger>>(m, "tag_to_trigger", D(tag_to_trigger))

        .def(py::init(&tag_to_trigger::make),
           py::arg("tag"),
           D(tag_to_trigger,make)
        )
        



        ;




}








